# Uses of Class
org.eclipse.emf.cdo.common.lob.CDOClob

Packages that use CDOClob
Package
Description
org.eclipse.emf.cdo.common.lob
Common concepts for dealing with large binary objects and large character objects.
org.eclipse.emf.cdo.eresource
The generated EMF API of the CDO repository file system.
org.eclipse.emf.cdo.eresource.impl
The generated EMF implementation of the CDO repository file system.
org.eclipse.emf.cdo.etypes.impl
The generated EMF implementation of the CDO system data types and native annotations.
org.eclipse.emf.cdo.etypes.util
The generated EMF utilities of the CDO system data types and native annotations.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.

## Uses of CDOClob in org.eclipse.emf.cdo.common.lob

Methods in org.eclipse.emf.cdo.common.lob that return CDOClob
Modifier and Type
Method
Description
`static CDOClob`
CDOLobUtil.`createClob(byte[] id, long size)`
`CDOClob`
CDOClobWriter.`getClob()`
`static CDOClob`
CDOLobUtil.`readClob(org.eclipse.net4j.util.io.ExtendedDataInput in)`

## Uses of CDOClob in org.eclipse.emf.cdo.eresource

Methods in org.eclipse.emf.cdo.eresource that return CDOClob
Modifier and Type
Method
Description
`CDOClob`
CDOTextResource.`getContents()`
Returns the value of the 'Contents' attribute.
Methods in org.eclipse.emf.cdo.eresource with parameters of type CDOClob
Modifier and Type
Method
Description
`void`
CDOTextResource.`setContents(CDOClob value)`
Sets the value of the '`Contents`' attribute.

## Uses of CDOClob in org.eclipse.emf.cdo.eresource.impl

Methods in org.eclipse.emf.cdo.eresource.impl that return CDOClob
Modifier and Type
Method
Description
`CDOClob`
CDOTextResourceImpl.`getContents()`
Methods in org.eclipse.emf.cdo.eresource.impl with parameters of type CDOClob
Modifier and Type
Method
Description
`void`
CDOTextResourceImpl.`setContents(CDOClob newContents)`

## Uses of CDOClob in org.eclipse.emf.cdo.etypes.impl

Methods in org.eclipse.emf.cdo.etypes.impl that return CDOClob
Modifier and Type
Method
Description
`CDOClob`
EtypesFactoryImpl.`createClobFromString(EDataType eDataType, String initialValue)`

## Uses of CDOClob in org.eclipse.emf.cdo.etypes.util

Methods in org.eclipse.emf.cdo.etypes.util with parameters of type CDOClob
Modifier and Type
Method
Description
`boolean`
EtypesValidator.`validateClob(CDOClob clob, DiagnosticChain diagnostics, Map<Object,Object> context)`

## Uses of CDOClob in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDOClob
Modifier and Type
Method
Description
`CDOClob`
CDOSession.`newClob(Reader contents)`
`CDOClob`
CDOSession.`newClob(String contents)`